Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200711-15 ] FLAC: Buffer overflow
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1582

PostPosted: Mon Nov 12, 2007 10:26 pm    Post subject: [ GLSA 200711-15 ] FLAC: Buffer overflow Reply with quote

Gentoo Linux Security Advisory

Title: FLAC: Buffer overflow (GLSA 200711-15)
Severity: normal
Exploitable: remote
Date: November 12, 2007
Bug(s): #195700
ID: 200711-15

Synopsis

Multiple integer overflow vulnerabilities were found in FLAC possibly allowing for the execution of arbitrary code.

Background

The Xiph.org Free Lossless Audio Codec (FLAC) library is the reference implementation of the FLAC audio file format. It contains encoders and decoders in library and executable form.

Affected Packages

Package: media-libs/flac
Vulnerable: < 1.2.1-r1
Unaffected: >= 1.2.1-r1
Architectures: All supported architectures


Description

Sean de Regge reported multiple integer overflows when processing FLAC media files that could lead to improper memory allocations resulting in heap-based buffer overflows.

Impact

A remote attacker could entice a user to open a specially crafted FLAC file or network stream with an application using FLAC. This might lead to the execution of arbitrary code with privileges of the user playing the file.

Workaround

There is no known workaround at this time.

Resolution

All FLAC users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=media-libs/flac-1.2.1-r1"
You should also run revdep-rebuild to rebuild any packages that depend on older versions of FLAC:
Code:
# revdep-rebuild --library=libFLAC.*


References

CVE-2007-4619
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum